<template>
	<view class="page">
		
		<navbar title="我的收藏" 
		bgColor="#3796F8" 
		leftClick 
		color="#fff"
		@leftClick="$utils.navigateBack"/>
		
		<workListSwipe 
		:options="options" 
		@clickSwipeAction="clickSwipeAction"
		:list="list"/>
	</view>
</template>

<script>
	import workListSwipe from '@/components/list/workList/workListSwipe.vue'
	import mixinList from '@/mixins/list.js'
	import { mapState } from 'vuex'
	export default {
		mixins : [mixinList],
		components : {
			workListSwipe
		},
		data() {
			return {
				options: [
					{
						text: '删除',
						style: {
							backgroundColor: '#FA5A0A'
						}
					}, 
				],
				mixinsListApi : 'employeeQueryCollectionJobList',
			}
		},
		computed : {
			...mapState([
				'role', 
			]),
		},
		onLoad() {
			this.mixinsListApi = (this.role ? 'boss' : 'employee') + 'QueryCollectionJobList'
		},
		methods: {
			clickSwipeAction({e, item}){
				console.log(e, item);
			},
		}
	}
</script>

<style scoped lang="scss">
.page{
	/deep/ .uv-swipe-action{
		width: 100%;
	}
}
</style>
